<?php

namespace DsbNext\Controllers;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;

class DashboardACController{
    
    protected $crudService;
    
    public function __construct($connection, $environment, $util, $crudService) {
        $this->crudService	= $crudService;
        $this->connection      = $connection;
        $this->environment     = $environment;
        $this->util            = $util;
    }
    
    public function trendAnalysisAC(Request\Filter $request, Response $response) {
        $params = ['CDOPERADOR'];
        $conditions = $this->util->prepareConditions($params);
        
        $data = $this->crudService->getFilteredDataSet('trendAnalysisAC', $conditions)->getRows();
		$response->addDataSet(new DataSet("trendAnalysisAC", $data));
    }
    
    public function trendAnalysisGrid(Request\Filter $request, Response $response) {
        $params = ['CDOPERADOR'];
        $conditions = $this->util->prepareConditions($params);
        
        $data = $this->crudService->getFilteredDataSet('trendAnalysisAC', $conditions)->getRows();
		$response->addDataSet(new DataSet("trendAnalysisGrid", $data));
    }
    
    public function monitoringOfStaffGrid(Request\Filter $request, Response $response) {
        $params = ['CDOPERADOR'];
        $conditions = $this->util->prepareConditions($params);
        
        $data = $this->crudService->getFilteredDataSet('trendAnalysisAC', $conditions)->getRows();
		$response->addDataSet(new DataSet("monitoringOfStaffGrid", $data));
    }
    
    public function costComparisonGrid(Request\Filter $request, Response $response) {
        $params = ['CDOPERADOR'];
        $conditions = $this->util->prepareConditions($params);
        
        $data = $this->crudService->getFilteredDataSet('trendAnalysisAC', $conditions)->getRows();
		$response->addDataSet(new DataSet("costComparisonGrid", $data));
    }
}